Sync with portage [Tue Sep 29 09:27:11 MSK 2020].

develop 1772
root 4 years ago
parent 2855cea171
commit d6a48f28e6

Binary file not shown.

Binary file not shown.

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>bkohler@gentoo.org</email>
<name>Ben Kohler</name>
</maintainer>
</pkgmetadata>

@ -0,0 +1,10 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-group
DESCRIPTION="gid for net-proxy/tinyproxy"
ACCT_GROUP_ID=186

Binary file not shown.

@ -0,0 +1,8 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>bkohler@gentoo.org</email>
<name>Ben Kohler</name>
</maintainer>
</pkgmetadata>

@ -0,0 +1,12 @@
# Copyright 2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit acct-user
DESCRIPTION="uid for net-proxy/tinyproxy"
ACCT_USER_ID=186
ACCT_USER_GROUPS=( tinyproxy )
acct-user_add_deps

Binary file not shown.

@ -12,7 +12,7 @@ SRC_URI="https://github.com/mongodb/mongo-tools/archive/r${MY_PV}.tar.gz -> mong
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="amd64"
IUSE="sasl ssl"
DEPEND="dev-lang/go:=

Binary file not shown.

@ -20,7 +20,7 @@ RDEPEND="
net-libs/libvncserver
freetype? ( media-libs/freetype:2= )
fontconfig? ( media-libs/fontconfig:1.0= )
graphicsmagick? ( media-gfx/graphicsmagick:0/1.3 )
graphicsmagick? ( media-gfx/graphicsmagick:0/1.3[cxx] )
imagemagick? ( <media-gfx/imagemagick-7 )
lcd_devices_ax206dpf? ( virtual/libusb:0 )
lcd_devices_picolcd_256x64? ( virtual/libusb:0 )

@ -20,7 +20,7 @@ RDEPEND="
net-libs/libvncserver
freetype? ( media-libs/freetype:2= )
fontconfig? ( media-libs/fontconfig:1.0= )
graphicsmagick? ( media-gfx/graphicsmagick:0/1.3 )
graphicsmagick? ( media-gfx/graphicsmagick:0/1.3[cxx] )
imagemagick? ( <media-gfx/imagemagick-7 )
lcd_devices_ax206dpf? ( virtual/libusb:0 )
lcd_devices_picolcd_256x64? ( virtual/libusb:0 )

Binary file not shown.

@ -1 +1 @@
DIST kraft-0.90.tar.gz 705767 BLAKE2B 63f048be32e794e3c13d59ebbac90558e661eabe8b08270ea684adc338e2ae45b59cfbb3a746d1248ff8c0026308209f2821cac7c2feaf67af04903125be34c7 SHA512 1ca87a828e74b508b229787459f32e8ab5ad0ca4bf2630e236d65beaaa7503dc61af42d3b13106aeb6e43fcf3c419133958c5492a2c25c7233c9ac0205b3800c
DIST kraft-0.95.tar.gz 877790 BLAKE2B 4099845816191c5760f81a5512dc5d5afab1a76eb79c5d3fdead58d7a25342c4f461a6bf4d65313837d6bce32e80c1c8348f674b62358bb08cfdfd3ecf845bad SHA512 8070827a491b2a923b4608752ee2202377aeb2c472a3ee81feaad3b853d13bafe9f9c70719e1dfffeceb1492df80608327a56541453456be87a97bb3d5457f42

@ -0,0 +1,35 @@
From 1e8f15a6c54c0c29cb463deacefd1fe8b32ad41d Mon Sep 17 00:00:00 2001
From: Klaas Freitag <kraft@freisturz.de>
Date: Wed, 2 Sep 2020 18:32:14 +0200
Subject: [PATCH] Fix call to i18n - same problem as before....
Fixes #85
---
src/prefsdialog.cpp | 10 +++++-----
1 file changed, 5 insertions(+), 5 deletions(-)
diff --git a/src/prefsdialog.cpp b/src/prefsdialog.cpp
index 13b4bcb..ddce27d 100644
--- a/src/prefsdialog.cpp
+++ b/src/prefsdialog.cpp
@@ -335,15 +335,15 @@ QWidget* PrefsDialog::docTab()
const QDate d = QDate::currentDate();
mCbDateFormats->setToolTip( i18n( "The default date format for documents." ) );
QString formattedDate = d.toString(Qt::ISODate);
- mCbDateFormats->insertItem( 0, i18n("ISO-Format: %1").arg(formattedDate));
+ mCbDateFormats->insertItem( 0, i18n("ISO-Format: %1", formattedDate));
formattedDate = d.toString(Qt::DefaultLocaleShortDate);
- mCbDateFormats->insertItem( 1, i18n("Short-Date: %1").arg(formattedDate));
+ mCbDateFormats->insertItem( 1, i18n("Short-Date: %1", formattedDate));
formattedDate = d.toString(Qt::DefaultLocaleLongDate);
- mCbDateFormats->insertItem( 2, i18n("Long-Date: %1").arg(formattedDate));
+ mCbDateFormats->insertItem( 2, i18n("Long-Date: %1", formattedDate));
formattedDate = d.toString(Qt::RFC2822Date);
- mCbDateFormats->insertItem( 3, i18n("RFC 2822-Format: %1").arg(formattedDate));
+ mCbDateFormats->insertItem( 3, i18n("RFC 2822-Format: %1", formattedDate));
formattedDate = d.toString("dd.MM.yyyy");
- mCbDateFormats->insertItem( 4, i18n("\"German Format\": %1").arg(formattedDate));
+ mCbDateFormats->insertItem( 4, i18n("\"German Format\": %1", formattedDate));
mCbDateFormats->insertItem( 5, i18n("Custom Setting in Settingsfile"));
vboxLay->addLayout( butLay );

@ -3,7 +3,6 @@
EAPI=7
ECM_HANDBOOK="forceoptional"
inherit ecm
DESCRIPTION="Software to manage quotes and invoices in small enterprises"
@ -17,26 +16,29 @@ IUSE="pim"
DEPEND="
dev-cpp/ctemplate
dev-libs/grantlee:5
dev-qt/qtgui:5
dev-qt/qtsql:5
dev-qt/qtwidgets:5
dev-qt/qtxml:5
kde-frameworks/kconfig:5
kde-frameworks/kconfigwidgets:5
kde-frameworks/kcontacts:5
kde-frameworks/kcoreaddons:5
kde-frameworks/ki18n:5
pim? (
kde-apps/akonadi:5
kde-apps/akonadi-contacts:5
>=kde-apps/akonadi-19.04.3:5
>=kde-apps/akonadi-contacts-19.04.3:5
kde-frameworks/kcoreaddons:5
)
"
RDEPEND="${DEPEND}"
DOCS=( AUTHORS Changes.txt README.md Releasenotes.txt TODO )
PATCHES=( "${FILESDIR}/${P}-i18n-warning.patch" )
src_configure() {
local mycmakeargs=(
-DCMAKE_DISABLE_FIND_PACKAGE_Asciidoctor=ON
$(cmake_use_find_package pim KF5Akonadi)
$(cmake_use_find_package pim KF5AkonadiContact)
)

@ -9,9 +9,9 @@
<flag name="boost">Enable support for Boost based enhancement</flag>
<flag name="hunspell">Enable support for spell checking with <pkg>app-text/hunspell</pkg></flag>
<flag name="minimal">Don't install headers (only required for e.g. plug-in developers)</flag>
<flag name="osg">3D redering via <pkg>dev-games/openscenegraph</pkg></flag>
<flag name="osg">3D rendering via <pkg>dev-games/openscenegraph</pkg></flag>
<flag name="scripts">Install the scripts</flag>
<flag name="templates">Document tamplates</flag>
<flag name="templates">Document templates</flag>
<flag name="tk">Install tk based scripts e.g. FontSample.py</flag>
</use>
<upstream>

Binary file not shown.

@ -10,7 +10,7 @@ S="${WORKDIR}/xapian-omega-${PV}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
DEPEND="dev-libs/xapian:0/30

@ -1,2 +1 @@
DIST xournalpp-1.0.17.tgz 14885382 BLAKE2B 501feb4480eee5aa38cc148f561d6c730505e43fd5d8017936f4b1d15f1b83ae936eb0a2e81b9889c668f9ed0a9c46b9053c984d45815c88829b023b7dbbd209 SHA512 cc3568ce22fd42f0e8458f1428c102d2fc18a9650d8c5968cadd6693fc19374780beb3c7f6206f2f494439296a883b2a5160da37e3a0e10d6fe3654084967ab9
DIST xournalpp-1.0.18.tgz 14892343 BLAKE2B d2aaede0e85d724cf8032f38a6fa2c3c4862f26d410dbab8264dd50ab8ee0d26889eeab433ef615fe9ce271710192eca380ff80149431d5368125926cf8d2b25 SHA512 90568a2674a18ff711ecef5f1a66ea1c5746d7f1fde271b36342d9bf48e096e63075cf7fd8b69e39e144273a4d1b922c415eee929eba94b2fa515a0bb481815a

@ -1,49 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake-utils xdg
if [[ ${PV} == *9999 ]]; then
inherit git-r3
EGIT_REPO_URI="https://github.com/xournalpp/xournalpp.git"
unset SRC_URI
else
KEYWORDS="~amd64"
SRC_URI="https://github.com/xournalpp/xournalpp/archive/${PV}.tar.gz -> ${P}.tgz"
fi
DESCRIPTION="Handwriting notetaking software with PDF annotation support"
HOMEPAGE="https://github.com/xournalpp/xournalpp"
LICENSE="GPL-2"
SLOT="0"
IUSE=""
COMMONDEPEND="
app-text/poppler
dev-libs/glib
dev-libs/libxml2
dev-libs/libzip:=
media-libs/portaudio
media-libs/libsndfile
sys-libs/zlib:=
x11-libs/gtk+:3
"
RDEPEND="${COMMONDEPEND}
"
DEPEND="${COMMONDEPEND}
"
BDEPEND="
virtual/pkgconfig
sys-apps/lsb-release
"
PATCHES=(
"${FILESDIR}/${P}-translations.patch"
)
src_prepare() {
cmake-utils_src_prepare
}

@ -22,7 +22,7 @@ SLOT="0"
IUSE=""
COMMONDEPEND="
app-text/poppler
app-text/poppler[cairo]
dev-libs/glib
dev-libs/libxml2
dev-libs/libzip:=

@ -22,7 +22,7 @@ SLOT="0"
IUSE=""
COMMONDEPEND="
app-text/poppler
app-text/poppler[cairo]
dev-libs/glib
dev-libs/libxml2
dev-libs/libzip:=

Binary file not shown.

@ -1 +1 @@
DIST aixlog-1.2.1.tar.gz 11396 BLAKE2B 88cdc775acfd91ee74306fedd6429865f10bcd7cbe9b45f861463489330d74b017611078ca362a00994983dde746ba086a056c3da53b06099f200810d65c0c04 SHA512 776558fdd911f0cc9e8d467bf8e00a1930d2e51bb8ccd5f36f95955fefecab65faf575a80fdaacfe83fd32808f8b9c2e0323b16823e0431300df7bc0c1dfde12
DIST aixlog-1.4.0.tar.gz 13262 BLAKE2B 6be17305e7de95b10bb2c8f0019e235bff9596e33c4fba341cfb4e6e0732330932f2b64be916e57fc0e49197931076701a00df7a305420c938630d6b5786080b SHA512 ec4f5a3902858ad979de8cfa81275951af73c4d159a2615a85cf60fe876ea283864f854b26198bea83c4a568948db82c5e50783c868bd2f6d8427d319b912d6f

@ -1,21 +1,20 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
inherit cmake
DESCRIPTION="Header-only C++ logging library"
HOMEPAGE="https://github.com/badaix/aixlog"
if [[ ${PV} == *9999 ]] ; then
inherit cmake-utils git-r3
inherit git-r3
EGIT_REPO_URI="https://github.com/badaix/aixlog.git"
EGIT_BRANCH="develop"
else
inherit cmake-utils
SRC_URI="https://github.com/badaix/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/badaix/aixlog/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
@ -25,5 +24,5 @@ SLOT="0"
src_configure() {
local mycmakeargs=( -DBUILD_EXAMPLE=OFF )
cmake-utils_src_configure
cmake_src_configure
}

@ -1,21 +1,20 @@
# Copyright 1999-2018 Gentoo Authors
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
EAPI=7
inherit cmake
DESCRIPTION="Header-only C++ logging library"
HOMEPAGE="https://github.com/badaix/aixlog"
if [[ ${PV} == *9999 ]] ; then
inherit cmake-utils git-r3
inherit git-r3
EGIT_REPO_URI="https://github.com/badaix/aixlog.git"
EGIT_BRANCH="develop"
else
inherit cmake-utils
SRC_URI="https://github.com/badaix/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/badaix/aixlog/archive/v${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
fi
@ -25,5 +24,5 @@ SLOT="0"
src_configure() {
local mycmakeargs=( -DBUILD_EXAMPLE=OFF )
cmake-utils_src_configure
cmake_src_configure
}

@ -1,7 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<!-- maintainer-needed -->
<maintainer type="person">
<email>jakov.smolic@sartura.hr</email>
<name>Jakov Smolic</name>
</maintainer>
<maintainer type="project">
<email>proxy-maint@gentoo.org</email>
<name>Proxy Maintainers</name>
</maintainer>
<upstream>
<maintainer status="active">
<name>Johannes Pohl</name>

Binary file not shown.

@ -1,7 +1,5 @@
DIST mongodb-src-r3.6.13.tar.gz 40853787 BLAKE2B de9621de4f570d569df5cfe026ea5da24641c97f1ac9f3e58a0706b1d0bd74757390a075c95c6d3acd12f3c5c7bcbeb9302ac997248c54a5b7910b582debdc82 SHA512 eb84fb22ff871b5ec620d6fc29a6a66072211656e914630ad0f53e4fcad55aa40a76a0e68e68bdbe8ef061bea09ce6ad6aea5d8d865ea8a8fdca0ed829555fcd
DIST mongodb-src-r3.6.17.tar.gz 40932592 BLAKE2B 94bbb943fd929318a2b32344cb4574243ad234d1cd14ffef864d7fd2d60841866fd5a1966eae8f14266a9648deb62b7b55386d41338b515d5e6849e980143d42 SHA512 b4d9e9bfc7ff886532641058c99da29420d1aa472cb4cf2b254e0fd0af5ecc72ac8bf28dcd55ab738b799b00132ffacddd154dea37ccfbf459c7cc603c2582e0
DIST mongodb-src-r4.0.12.tar.gz 49937644 BLAKE2B 81044a6d68be6420d30fb2d7386ff29871a696cad94ce5977c1aba60c2ce80e18ccb86492c1947a359ef124332ea82ac3cb0fb73a68f51904a008fdf911aa055 SHA512 802eaf57d56c5e8e217344f10104a201acb6f5abef0065fc1bb8e6ceef13fe489b7ae46ed0d55b5bad50fe3579860b1c1471d224b51b0f15f968278cb5f6a47a
DIST mongodb-src-r4.0.16.tar.gz 50091501 BLAKE2B a383f9fef8e5b2ceda9646dfc4f4f46bc3bee66be45e94a846b1a7ce859826273812d4ce11aa96d1766071bf5fb422771bf2176350145deae99e64e59c164e38 SHA512 90458dea29a4c9a3078e1f13ffd2163911bf5a5f42884553ad9b3c2a2fafea2f73e506640c78f55f27bc16551582ad22244437356b89786fef383ce4b24bb617
DIST mongodb-src-r4.0.19.tar.gz 50126414 BLAKE2B 2691e2a9c8833ff9a086b28fd137bc8e8f10d58570117657c7cc01edbf61568ae62f58440d72e8711de98b9fc6868c1095b4ee88eb7b0eb63ea45ce19e842edd SHA512 57032a009ea7e79de4cac496a2d1266b83b99cc45eb9f1169be2fcdca1ed2003a659ceedf9eafbd4aa7fc5b3b0513066a5d712af7666cee5a897b2a2d7dd30cb
DIST mongodb-src-r4.2.3.tar.gz 61565615 BLAKE2B 695310a497e57f1c735f175f5b321c93cda376ec734bb08d4cabbd562a865b327f529560220be9c22f571cc70af333a77f0116f04c7f7e3a40f275ab53ab1bf9 SHA512 60e9091cfab4a189a937dfa7ce232eb6ead2ca192c916579f4fb5da2040aa340ae9de0ea8c7a4ccb0edcfdbdf6e666144657f171c3f23c0a62bccf27cd351c69
DIST mongodb-src-r4.2.8.tar.gz 61730247 BLAKE2B f1d98b8ac8f62c0c7aff100ef663bb20345de0e77e0ff420817db0843fe735b58af8075578a7f8d83cc9dc4e597c95ae09f89ce7a21cf8146ff15bcb11eba924 SHA512 163fce480762bd377d6c78b661bfe51fc883223a5309a68f9556e1bafb99e26e476d81dbe6de825d90469e835442be097be630ca9678e54b9d09091e0b5d67c4

@ -1,173 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python2_7 )
SCONS_MIN_VERSION="2.5.0"
CHECKREQS_DISK_BUILD="2400M"
CHECKREQS_DISK_USR="512M"
CHECKREQS_MEMORY="1024M"
inherit check-reqs flag-o-matic multiprocessing pax-utils python-any-r1 scons-utils systemd toolchain-funcs
MY_P=${PN}-src-r${PV/_rc/-rc}
DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
HOMEPAGE="https://www.mongodb.com"
SRC_URI="https://fastdl.mongodb.org/src/${MY_P}.tar.gz"
LICENSE="Apache-2.0 SSPL-1"
SLOT="0"
KEYWORDS="~amd64"
IUSE="debug kerberos libressl lto mms-agent ssl test +tools"
RESTRICT="!test? ( test )"
RDEPEND="acct-group/mongodb
acct-user/mongodb
>=app-arch/snappy-1.1.3
>=dev-cpp/yaml-cpp-0.5.3:=
>=dev-libs/boost-1.60:=[threads(+)]
>=dev-libs/libpcre-8.41[cxx]
dev-libs/snowball-stemmer
net-libs/libpcap
>=sys-libs/zlib-1.2.11:=
kerberos? ( dev-libs/cyrus-sasl[kerberos] )
mms-agent? ( app-admin/mms-agent )
ssl? (
!libressl? ( >=dev-libs/openssl-1.0.1g:0= )
libressl? ( dev-libs/libressl:0= )
)"
DEPEND="${RDEPEND}
${PYTHON_DEPS}
$(python_gen_any_dep '
test? ( dev-python/pymongo[${PYTHON_USEDEP}] )
>=dev-util/scons-2.5.0[${PYTHON_USEDEP}]
dev-python/cheetah[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/typing[${PYTHON_USEDEP}]
')
sys-libs/ncurses:0=
sys-libs/readline:0=
debug? ( dev-util/valgrind )"
PDEPEND="tools? ( >=app-admin/mongo-tools-${PV} )"
PATCHES=(
"${FILESDIR}/${PN}-3.6.1-fix-scons.patch"
"${FILESDIR}/${PN}-4.0.0-no-compass.patch"
"${FILESDIR}/${PN}-4.0.12-boost-1.71-cxxabi-include.patch"
)
S="${WORKDIR}/${MY_P}"
pkg_pretend() {
if [[ -n ${REPLACING_VERSIONS} ]]; then
if ver_test "$REPLACING_VERSIONS" -lt 3.6; then
ewarn "To upgrade from a version earlier than the 3.6-series, you must"
ewarn "successively upgrade major releases until you have upgraded"
ewarn "to 3.6-series. Then upgrade to 4.0 series."
else
ewarn "Be sure to set featureCompatibilityVersion to 3.6 before upgrading."
fi
fi
}
python_check_deps() {
if use test; then
has_version "dev-python/pymongo[${PYTHON_USEDEP}]" ||
return 1
fi
has_version ">=dev-util/scons-2.5.0[${PYTHON_USEDEP}]" &&
has_version "dev-python/cheetah[${PYTHON_USEDEP}]" &&
has_version "dev-python/pyyaml[${PYTHON_USEDEP}]" &&
has_version "dev-python/typing[${PYTHON_USEDEP}]"
}
src_prepare() {
default
# remove bundled libs
rm -r src/third_party/{boost-*,pcre-*,scons-*,snappy-*,yaml-cpp-*,zlib-*} || die
# remove compass
rm -r src/mongo/installer/compass || die
}
src_configure() {
# https://github.com/mongodb/mongo/wiki/Build-Mongodb-From-Source
# --use-system-icu fails tests
# --use-system-tcmalloc is strongly NOT recommended:
scons_opts=(
CC="$(tc-getCC)"
CXX="$(tc-getCXX)"
--disable-warnings-as-errors
--use-system-boost
--use-system-pcre
--use-system-snappy
--use-system-stemmer
--use-system-yaml
--use-system-zlib
)
use debug && scons_opts+=( --dbg=on )
use kerberos && scons_opts+=( --use-sasl-client )
use lto && scons_opts+=( --lto=on )
use ssl && scons_opts+=( --ssl )
# respect mongoDB upstream's basic recommendations
# see bug #536688 and #526114
if ! use debug; then
filter-flags '-m*'
filter-flags '-O?'
fi
default
}
src_compile() {
escons "${scons_opts[@]}" core tools
}
# FEATURES="test -usersandbox" emerge dev-db/mongodb
src_test() {
"${EPYTHON}" ./buildscripts/resmoke.py --dbpathPrefix=test --suites core --jobs=$(makeopts_jobs) || die "Tests failed"
}
src_install() {
escons "${scons_opts[@]}" --nostrip install --prefix="${ED}"/usr
doman debian/mongo*.1
dodoc README docs/building.md
newinitd "${FILESDIR}/${PN}.initd-r3" ${PN}
newconfd "${FILESDIR}/${PN}.confd-r3" ${PN}
newinitd "${FILESDIR}/mongos.initd-r3" mongos
newconfd "${FILESDIR}/mongos.confd-r3" mongos
insinto /etc
newins "${FILESDIR}/${PN}.conf-r3" ${PN}.conf
newins "${FILESDIR}/mongos.conf-r2" mongos.conf
systemd_dounit "${FILESDIR}/${PN}.service"
insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}.logrotate" ${PN}
# see bug #526114
pax-mark emr "${ED}"/usr/bin/{mongo,mongod,mongos}
local x
for x in /var/{lib,log}/${PN}; do
diropts -m0750 -o mongodb -g mongodb
keepdir "${x}"
done
}
pkg_postinst() {
ewarn "Make sure to read the release notes and follow the upgrade process:"
ewarn " https://docs.mongodb.com/manual/release-notes/$(ver_cut 1-2)/"
ewarn " https://docs.mongodb.com/manual/release-notes/$(ver_cut 1-2)/#upgrade-procedures"
}

@ -20,7 +20,7 @@ SRC_URI="https://fastdl.mongodb.org/src/${MY_P}.tar.gz"
LICENSE="Apache-2.0 SSPL-1"
SLOT="0"
KEYWORDS="~amd64"
KEYWORDS="amd64"
IUSE="debug kerberos libressl lto mms-agent ssl test +tools"
RESTRICT="!test? ( test )"

@ -1,174 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6,7} )
SCONS_MIN_VERSION="2.5.0"
CHECKREQS_DISK_BUILD="2400M"
CHECKREQS_DISK_USR="512M"
CHECKREQS_MEMORY="1024M"
inherit check-reqs flag-o-matic multiprocessing pax-utils python-any-r1 scons-utils systemd toolchain-funcs
MY_P=${PN}-src-r${PV/_rc/-rc}
DESCRIPTION="A high-performance, open source, schema-free document-oriented database"
HOMEPAGE="https://www.mongodb.com"
SRC_URI="https://fastdl.mongodb.org/src/${MY_P}.tar.gz"
LICENSE="Apache-2.0 SSPL-1"
SLOT="0"
KEYWORDS="~amd64 ~arm64"
IUSE="debug kerberos libressl lto ssl test +tools"
RESTRICT="!test? ( test )"
RDEPEND="acct-group/mongodb
acct-user/mongodb
>=app-arch/snappy-1.1.3
>=dev-cpp/yaml-cpp-0.6.2:=
>=dev-libs/boost-1.70:=[threads(+)]
>=dev-libs/libpcre-8.42[cxx]
app-arch/zstd
dev-libs/snowball-stemmer
net-libs/libpcap
>=sys-libs/zlib-1.2.11:=
kerberos? ( dev-libs/cyrus-sasl[kerberos] )
ssl? (
!libressl? ( >=dev-libs/openssl-1.0.1g:0= )
libressl? ( dev-libs/libressl:0= )
)"
DEPEND="${RDEPEND}
${PYTHON_DEPS}
$(python_gen_any_dep '
test? ( dev-python/pymongo[${PYTHON_USEDEP}] dev-python/requests[${PYTHON_USEDEP}] )
>=dev-util/scons-2.5.0[${PYTHON_USEDEP}]
dev-python/cheetah3[${PYTHON_USEDEP}]
dev-python/psutil[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
')
sys-libs/ncurses:0=
sys-libs/readline:0=
debug? ( dev-util/valgrind )"
PDEPEND="tools? ( >=app-admin/mongo-tools-${PV} )"
PATCHES=(
"${FILESDIR}/${PN}-4.2.0-fix-scons.patch"
"${FILESDIR}/${PN}-4.0.0-no-compass.patch"
)
S="${WORKDIR}/${MY_P}"
python_check_deps() {
if use test; then
has_version "dev-python/pymongo[${PYTHON_USEDEP}]" || return 1
has_version "dev-python/requests[${PYTHON_USEDEP}]" || return 1
fi
has_version ">=dev-util/scons-2.5.0[${PYTHON_USEDEP}]" &&
has_version "dev-python/cheetah3[${PYTHON_USEDEP}]" &&
has_version "dev-python/psutil[${PYTHON_USEDEP}]" &&
has_version "dev-python/pyyaml[${PYTHON_USEDEP}]"
}
pkg_pretend() {
if [[ -n ${REPLACING_VERSIONS} ]]; then
if ver_test "$REPLACING_VERSIONS" -lt 4.0; then
ewarn "To upgrade from a version earlier than the 4.0-series, you must"
ewarn "successively upgrade major releases until you have upgraded"
ewarn "to 4.0-series. Then upgrade to 4.2 series."
else
ewarn "Be sure to set featureCompatibilityVersion to 4.0 before upgrading."
fi
fi
}
src_prepare() {
default
# remove bundled libs
rm -r src/third_party/{boost-*,pcre-*,scons-*,snappy-*,yaml-cpp-*,zlib-*,zstandard-*} || die
# remove compass
rm -r src/mongo/installer/compass || die
}
src_configure() {
# https://github.com/mongodb/mongo/wiki/Build-Mongodb-From-Source
# --use-system-icu fails tests
# --use-system-tcmalloc is strongly NOT recommended:
scons_opts=(
CC="$(tc-getCC)"
CXX="$(tc-getCXX)"
--disable-warnings-as-errors
--use-system-boost
--use-system-pcre
--use-system-snappy
--use-system-stemmer
--use-system-yaml
--use-system-zlib
--use-system-zstd
)
use arm64 && scons_opts+=( --use-hardware-crc32=off ) # Bug 701300
use debug && scons_opts+=( --dbg=on )
use kerberos && scons_opts+=( --use-sasl-client )
use lto && scons_opts+=( --lto=on )
use ssl && scons_opts+=( --ssl )
# respect mongoDB upstream's basic recommendations
# see bug #536688 and #526114
if ! use debug; then
filter-flags '-m*'
filter-flags '-O?'
fi
default
}
src_compile() {
escons "${scons_opts[@]}" core tools
}
# FEATURES="test -usersandbox" emerge dev-db/mongodb
src_test() {
"${EPYTHON}" ./buildscripts/resmoke.py --dbpathPrefix=test --suites core --jobs=$(makeopts_jobs) || die "Tests failed"
}
src_install() {
escons "${scons_opts[@]}" --nostrip install --prefix="${ED}"/usr
doman debian/mongo*.1
dodoc README docs/building.md
newinitd "${FILESDIR}/${PN}.initd-r3" ${PN}
newconfd "${FILESDIR}/${PN}.confd-r3" ${PN}
newinitd "${FILESDIR}/mongos.initd-r3" mongos
newconfd "${FILESDIR}/mongos.confd-r3" mongos
insinto /etc
newins "${FILESDIR}/${PN}.conf-r3" ${PN}.conf
newins "${FILESDIR}/mongos.conf-r2" mongos.conf
systemd_dounit "${FILESDIR}/${PN}.service"
insinto /etc/logrotate.d/
newins "${FILESDIR}/${PN}.logrotate" ${PN}
# see bug #526114
pax-mark emr "${ED}"/usr/bin/{mongo,mongod,mongos}
local x
for x in /var/{lib,log}/${PN}; do
diropts -m0750 -o mongodb -g mongodb
keepdir "${x}"
done
}
pkg_postinst() {
ewarn "Make sure to read the release notes and follow the upgrade process:"
ewarn " https://docs.mongodb.com/manual/release-notes/$(ver_cut 1-2)/"
ewarn " https://docs.mongodb.com/manual/release-notes/$(ver_cut 1-2)/#upgrade-procedures"
}

@ -73,7 +73,7 @@ SRC_URI="
LICENSE="OTN"
SLOT="0/${MY_SOVER}"
KEYWORDS="~amd64 ~x86"
RESTRICT="mirror splitdebug"
RESTRICT="mirror splitdebug test"
DEPEND="app-arch/unzip"
RDEPEND="

Binary file not shown.

@ -1,2 +1 @@
DIST link-grammar-5.3.11.tar.gz 3632617 BLAKE2B 07fe951743096a0d6b906c9b7174b58fcc54b0e2c54805d15731de783888327799fd77f64a2ae7f4e09327feb08d91cb95471e9c0c3c2fe00fca3553f40b1905 SHA512 09671d187deac3b9530dd63eb4497de9c2c9db32d79da06c677bdbccac015adef06813819692a92d15499c7cb347071c58b73c52505af154bdc8a8fcd409ddd2
DIST link-grammar-5.8.0.tar.gz 3782125 BLAKE2B 8027e91212d3269b8e3ceaa5c837ad961cd2dfd92849d3989094ab771d97d30f4b228cfc1e32e9e843676aa439d790fb444823f7db69004538ad068c7bf28a45 SHA512 1262e2faf1de6f05a62f9d622f43c02253b4c241342df9b443a70ae04bd328d1fc49cd2f91c881e694f67215005833fec8b1fa9d395b1e547985b376c7415d2e

@ -1,61 +0,0 @@
--- a/bindings/python/Makefile.am 2016-08-26 04:28:48.000000000 +0200
+++ b/bindings/python/Makefile.am 2016-09-10 16:13:33.554781694 +0200
@@ -4,9 +4,8 @@
# Created by Linas Vepstas February 2014
#
-SWIG_SOURCES = ../swig/link_grammar.i
-# BUILT_C_SOURCES = $(top_builddir)/bindings/python/lg_python_wrap.cc
-BUILT_C_SOURCES = ../../bindings/python/lg_python_wrap.cc
+SWIG_SOURCES = $(top_srcdir)/bindings/swig/link_grammar.i
+BUILT_C_SOURCES = $(top_builddir)/bindings/python/lg_python_wrap.cc
BUILT_PY_SOURCES = $(top_builddir)/bindings/python/clinkgrammar.py
# Over-ride the install location, so as to remove the dash in the
@@ -20,7 +19,7 @@
pkgpython_PYTHON = \
- linkgrammar.py \
+ $(srcdir)/linkgrammar.py \
$(top_builddir)/bindings/python/__init__.py \
- $(top_builddir)/bindings/python/clinkgrammar.py
+ $(BUILT_PY_SOURCES)
# These are packaged in the tarball; make clean should not remove them.
--- a/bindings/python3/Makefile.am 2016-08-26 04:28:48.000000000 +0200
+++ b/bindings/python3/Makefile.am 2016-09-11 01:30:35.700926275 +0200
@@ -4,9 +4,8 @@
# Created by Linas Vepstas February 2014
#
-SWIG_SOURCES = ../swig/link_grammar.i
-# BUILT_C_SOURCES = $(top_builddir)/bindings/python3/lg_python_wrap.cc
-BUILT_C_SOURCES = ../../bindings/python3/lg_python_wrap.cc
+SWIG_SOURCES = $(top_srcdir)/bindings/swig/link_grammar.i
+BUILT_C_SOURCES = $(top_builddir)/bindings/python3/lg_python_wrap.cc
BUILT_PY_SOURCES = $(top_builddir)/bindings/python3/clinkgrammar.py
# Over-ride the install location, so as to remove the dash in the
@@ -18,9 +17,9 @@
# Files that get installed in $pkgpythondir
pkgpython3_PYTHON = \
- ../../bindings/python/linkgrammar.py \
+ $(top_srcdir)/bindings/python/linkgrammar.py \
$(top_builddir)/bindings/python3/__init__.py \
- $(top_builddir)/bindings/python3/clinkgrammar.py
+ $(BUILT_PY_SOURCES)
# Apparently, anaconda does not work without this!?
--- a/bindings/python3/Makefile.am 2016-09-11 12:44:01.466971878 +0200
+++ b/bindings/python3/Makefile.am 2016-09-11 12:44:22.385788941 +0200
@@ -26,7 +26,7 @@
# This seems wrong and lme to me, but see issue #298
pkgpypathdir=$(pythondir)
pkgpypath_PYTHON = \
- linkgrammar.pth
+ $(srcdir)/linkgrammar.pth
# These are packaged in the tarball; make clean should not remove them.
maintainer-clean-local:

@ -1,143 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=6
GNOME2_LA_PUNT="yes"
PYTHON_COMPAT=( python3_6 )
inherit autotools eutils gnome2 java-pkg-opt-2 python-r1
DESCRIPTION="A Syntactic English parser"
HOMEPAGE="https://www.abisource.com/projects/link-grammar/ https://www.link.cs.cmu.edu/link/"
SRC_URI="https://www.abisource.com/downloads/${PN}/${PV}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 sparc x86"
IUSE="aspell +hunspell java python static-libs threads" # pcre
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
# XXX: sqlite is automagic
# Does not build with >=sci-mathematics/minisat-2, bug #593662
# add pcre support: pcre? ( dev-libs/libpcre )
RDEPEND="
dev-db/sqlite:3
aspell? ( app-text/aspell )
hunspell? ( app-text/hunspell )
java? (
>=virtual/jdk-1.6:*
dev-java/ant-core )
python? ( ${PYTHON_DEPS} )
!sci-mathematics/minisat
"
DEPEND="${RDEPEND}
dev-lang/swig:0
sys-devel/autoconf-archive
virtual/pkgconfig
"
NORMAL_BUILD_DIR="${WORKDIR}/${P}-normal"
pkg_setup() {
if use aspell && use hunspell; then
ewarn "You have enabled 'aspell' and 'hunspell' support, but both cannot coexist,"
ewarn "only hunspell will be built. Press Ctrl+C and set only 'aspell' USE flag if"
ewarn "you want aspell support."
fi
use java && java-pkg-opt-2_pkg_setup
}
src_prepare() {
use java && java-pkg-opt-2_src_prepare
# http://bugzilla.abisource.com/show_bug.cgi?id=13806
eapply "${FILESDIR}"/${PN}-5.3.9-out-of-source-build.patch
eapply_user
eautoreconf
if use python ; then
prepare_python() {
mkdir -p "${BUILD_DIR}" || die
}
python_foreach_impl prepare_python
fi
mkdir -p "${NORMAL_BUILD_DIR}" || die
gnome2_src_prepare
}
src_configure() {
local myconf=(
--disable-editline
--disable-perl-bindings
--enable-shared
--enable-sat-solver=bundled
$(use_enable aspell)
$(use_enable hunspell)
$(usex hunspell --with-hunspell-dictdir=/usr/share/myspell)
$(use_enable java java-bindings)
# $(use_enable pcre regex-tokenizer)
# $(use_with pcre)
$(use_enable static-libs static)
$(use_enable threads pthreads)
)
cd "${NORMAL_BUILD_DIR}" || die
ECONF_SOURCE="${S}" gnome2_src_configure \
--disable-python-bindings \
--disable-python3-bindings \
${myconf[@]}
if use python ; then
prepare_python() {
ECONF_SOURCE="${S}" gnome2_src_configure \
--disable-python-bindings \
--enable-python3-bindings \
${myconf[@]}
}
python_foreach_impl run_in_build_dir prepare_python
fi
}
src_compile() {
cd "${NORMAL_BUILD_DIR}" || die
gnome2_src_compile
if use python ; then
compile_binding() {
emake -C bindings/python3 \
VPATH="${S}:${NORMAL_BUILD_DIR}" \
_clinkgrammar_la_DEPENDENCIES="${NORMAL_BUILD_DIR}"/link-grammar/liblink-grammar.la \
_clinkgrammar_la_LIBADD="${NORMAL_BUILD_DIR}"/link-grammar/liblink-grammar.la
}
python_foreach_impl run_in_build_dir compile_binding
fi
}
src_test() {
cd "${NORMAL_BUILD_DIR}" || die
ln -s "${S}"/data tests/data || die
emake check
}
src_install() {
cd "${NORMAL_BUILD_DIR}" || die
gnome2_src_install
if use python ; then
install_binding() {
emake -C bindings/python3 \
VPATH="${S}:${NORMAL_BUILD_DIR}" \
_clinkgrammar_la_DEPENDENCIES="${NORMAL_BUILD_DIR}"/link-grammar/liblink-grammar.la \
_clinkgrammar_la_LIBADD="${NORMAL_BUILD_DIR}"/link-grammar/liblink-grammar.la \
DESTDIR="${D}" \
install
}
python_foreach_impl run_in_build_dir install_binding
fi
}
pkg_preinst() {
use java && java-pkg-opt-2_pkg_preinst
gnome2_pkg_preinst
}

@ -13,7 +13,7 @@ SRC_URI="https://www.abisource.com/downloads/${PN}/${PV}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 sparc x86"
IUSE="aspell +hunspell java python" # pcre
REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"

@ -1,2 +1,3 @@
DIST rinutils-0.4.0.tar.xz 17072 BLAKE2B 90cd40fca0f682b730457da04bb392eada83ee2ab2ae3287ffdfd2235776038d6597143ca60c51b9c8d13b366511a5cd084b90811c5cfc7663125952fa009105 SHA512 96c0fc1e8164df8703910a8e14215e1a3fa52d5cc2fdf90af2f21dd064236e2b2b5f44485689553cd0df7cb99aa01f71241983166683934175d907e9f583edb5
DIST rinutils-0.4.1.tar.xz 17136 BLAKE2B 890b7201845609026577ab49b952db193480bd252c2798d3084610d29b1d62ddd9afb791150ad0ac951e6e1518c5711de11f8f7253c1c4ce115dd220cc27f5b0 SHA512 e175e5ce6e32e85d4102ba788c5dec40bd09ecd4002e6de10e726843b7ac562a63b305898061cab623eb85d46983ae777ac6b57c46194a29d78f0fe498fa63e7
DIST rinutils-0.6.0.tar.xz 16768 BLAKE2B a4fe413c6a4f18bd8c41a4d933a2515ba64f2dbe180d8a5868eadd8cd6ed7008d30f5b6cd5fa730edcb6548f6ea269ab419b912fd6c7346dd013a737320bb714 SHA512 2523747f9cf5f830e5fb5acc1e92691e8acfb59d6c4474d3768b68de9190dbc63c9e06cdd3c6ac67f8a853d37d1711d4c18550bb24446b2730198668f4ad0c45

@ -0,0 +1,23 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
inherit cmake
DESCRIPTION="Set of C headers containing macros and static functions"
HOMEPAGE="https://www.shlomifish.org/open-source/projects/ https://github.com/shlomif/rinutils"
SRC_URI="https://github.com/shlomif/${PN}/releases/download/${PV}/${P}.tar.xz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
src_configure() {
local mycmakeargs=(
-DDISABLE_APPLYING_RPATH=OFF
-DWITH_TEST_SUITE=OFF # tests require perl
)
cmake_src_configure
}

@ -7,7 +7,7 @@ DESCRIPTION="A software PKCS#11 implementation"
HOMEPAGE="https://www.opendnssec.org/"
SRC_URI="https://www.opendnssec.org/files/source/${P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="bindist gost libressl migration-tool test"
RESTRICT="!test? ( test )"
SLOT="2"

@ -23,7 +23,7 @@ SRC_URI="https://oligarchy.co.uk/xapian/${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86"
IUSE="java lua mono perl php python ruby tcl"
REQUIRED_USE="|| ( java lua mono perl php python ruby tcl )
python? ( ${PYTHON_REQUIRED_USE} )

Binary file not shown.

@ -1,4 +1,5 @@
DIST llvmorg-10.0.0.tar.gz 120804856 BLAKE2B 6b0254f5b913398cdcf2b2ec1ff219888706d2b79d5296590934714e42ac79f6a6547941ac2b1d2c4e6313dd18b6c7068e748aa6ac033e49fccbf5d355aa8191 SHA512 baa182d62fef1851836013ae8a1a00861ea89769778d67fb97b407a9de664e6c85da2af9c5b3f75d2bf34ff6b00004e531ca7e4b3115a26c0e61c575cf2303a0
DIST llvmorg-10.0.1.tar.gz 120880730 BLAKE2B 30f19f56c4d1f6abcda5fec76256219d1e3c8a6ff1a1f152f94bfe362c07884339fe571ff7fe903ed3b3deb150b2fa868c387887a0dea2930dc08b81db71a5b1 SHA512 48078fff9293a87f1a973f3348f79506f04c3da774295f5eb67d74dd2d1aa94f0973f8ced3f4ab9e8339902071f82c603b43d5608ad7227046c4da769c5d2151
DIST llvmorg-11.0.0-rc3.tar.gz 122766783 BLAKE2B 052fdc864fed52692141284ebdc41d52d21fbeaf24ac5ed3e67701537baa683bae61b1c06de68322e0578a27a1f5a8856088cdc001d2b8d34d2ec88ae65ff739 SHA512 a28ce74775373c63fe23b3116cd25db0efb95c6fdb60e56f2522659a404a59576f3d9429a109cb0f90534927259289aa1c712673f36f92272d642bf8dce5699f
DIST llvmorg-11.0.0-rc4.tar.gz 122768150 BLAKE2B e92417b6e1775a10c196534518036de6393e3cb9e0e656d4f864e7870be8fb0dad3f4cf170345e653ba60f36172df117977d5dfebe3d9ee7ec2c160d3dc9c5cd SHA512 ed2aee9f6d0bb887f27840158e9f95d94c9ad3981a0388a33fcd3e405f5072134a02999075238b6a2b8803149aa08ac790214605b186c2cc2d4827ba53c00de1
DIST llvmorg-9.0.1.tar.gz 113193320 BLAKE2B b86e405f2b8e00436045fd409fe19cdde75c797b1192c62a22b5ec75e6b4dc8e874a0f33008dc31562445e4cbe53a992b6f48c684255a6a1ef261e595b8b161f SHA512 fa88beeaae94b6d0cd9b5ba38658d0ffed8004035d7d8a4f95c3d31a709b88b581ae9bd7761333c8e5375c44b8f6be01768b5a3be901163159d7e6c43b71da59

@ -0,0 +1,115 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
inherit cmake llvm llvm.org python-any-r1
DESCRIPTION="OCaml bindings for LLVM"
HOMEPAGE="https://llvm.org/"
LLVM_COMPONENTS=( llvm )
llvm.org_set_globals
# Keep in sync with sys-devel/llvm
ALL_LLVM_EXPERIMENTAL_TARGETS=( ARC VE )
ALL_LLVM_TARGETS=( AArch64 AMDGPU ARM AVR BPF Hexagon Lanai Mips MSP430
NVPTX PowerPC RISCV Sparc SystemZ WebAssembly X86 XCore
"${ALL_LLVM_EXPERIMENTAL_TARGETS[@]}" )
ALL_LLVM_TARGETS=( "${ALL_LLVM_TARGETS[@]/#/llvm_targets_}" )
LLVM_TARGET_USEDEPS=${ALL_LLVM_TARGETS[@]/%/?}
LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
SLOT="0/${PV}"
KEYWORDS=""
IUSE="debug test ${ALL_LLVM_TARGETS[*]}"
REQUIRED_USE="|| ( ${ALL_LLVM_TARGETS[*]} )"
RESTRICT="!test? ( test )"
RDEPEND="
>=dev-lang/ocaml-4.00.0:0=
dev-ml/ocaml-ctypes:=
~sys-devel/llvm-${PV}:=[${LLVM_TARGET_USEDEPS// /,},debug?]
!sys-devel/llvm[ocaml(-)]"
DEPEND="${RDEPEND}"
BDEPEND="
dev-lang/perl
dev-ml/findlib
test? ( dev-ml/ounit )
${PYTHON_DEPS}"
pkg_setup() {
LLVM_MAX_SLOT=${PV%%.*} llvm_pkg_setup
python-any-r1_pkg_setup
}
src_configure() {
local libdir=$(get_libdir)
local mycmakeargs=(
-DLLVM_LIBDIR_SUFFIX=${libdir#lib}
-DBUILD_SHARED_LIBS=OFF
-DLLVM_BUILD_LLVM_DYLIB=ON
-DLLVM_LINK_LLVM_DYLIB=ON
-DLLVM_OCAML_OUT_OF_TREE=ON
# cheap hack: LLVM combines both anyway, and the only difference
# is that the former list is explicitly verified at cmake time
-DLLVM_TARGETS_TO_BUILD=""
-DLLVM_EXPERIMENTAL_TARGETS_TO_BUILD="${LLVM_TARGETS// /;}"
-DLLVM_BUILD_TESTS=$(usex test)
# disable various irrelevant deps and settings
-DLLVM_ENABLE_FFI=OFF
-DLLVM_ENABLE_TERMINFO=OFF
-DHAVE_HISTEDIT_H=NO
-DLLVM_ENABLE_ASSERTIONS=$(usex debug)
-DLLVM_ENABLE_EH=ON
-DLLVM_ENABLE_RTTI=ON
-DLLVM_HOST_TRIPLE="${CHOST}"
# disable go bindings
-DGO_EXECUTABLE=GO_EXECUTABLE-NOTFOUND
# TODO: ocamldoc
)
use test && mycmakeargs+=(
-DLLVM_LIT_ARGS="$(get_lit_flags)"
)
# LLVM_ENABLE_ASSERTIONS=NO does not guarantee this for us, #614844
# also: custom rules for OCaml do not work for CPPFLAGS
use debug || local -x CFLAGS="${CFLAGS} -DNDEBUG"
cmake_src_configure
local llvm_libdir=$(llvm-config --libdir)
# an ugly hack; TODO: figure out a way to pass -L to ocaml...
cd "${BUILD_DIR}/${libdir}" || die
ln -s "${llvm_libdir}"/*.so . || die
if use test; then
local llvm_bindir=$(llvm-config --bindir)
# Force using system-installed tools.
sed -i -e "/llvm_tools_dir/s@\".*\"@\"${llvm_bindir}\"@" \
"${BUILD_DIR}"/test/lit.site.cfg.py || die
fi
}
src_compile() {
cmake_build ocaml_all
}
src_test() {
# respect TMPDIR!
local -x LIT_PRESERVES_TMP=1
cmake_build check-llvm-bindings-ocaml
}
src_install() {
DESTDIR="${D}" \
cmake -P "${BUILD_DIR}"/bindings/ocaml/cmake_install.cmake || die
dodoc bindings/ocaml/README.txt
}

@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="A Module::Build subclass for building Alien:: modules and their libraries"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc64 ~riscv ~s390 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="test"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Build external dependencies for use in CPAN"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="minimal test zip"
RESTRICT="!test? ( test )"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Build external dependencies for use in CPAN"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
IUSE="minimal test zip"
RESTRICT="!test? ( test )"

@ -1,50 +0,0 @@
# Copyright 1999-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_AUTHOR=SERGEY
DIST_VERSION=0.7
DIST_EXAMPLES=("eg/*")
inherit perl-module
DESCRIPTION="Perl extension for Sound Mixer control"
SLOT="0"
KEYWORDS="amd64 ~ia64 ~ppc sparc x86"
IUSE=""
PATCHES=(
"${FILESDIR}/${P}-volumepl.patch"
"${FILESDIR}/${P}-clang.patch"
"${FILESDIR}/${P}-testsuite.patch"
)
src_test() {
local MODULES=(
"Audio::Mixer ${DIST_VERSION}"
)
local failed=()
for dep in "${MODULES[@]}"; do
ebegin "Compile testing ${dep}"
perl -Mblib="${S}" -M"${dep} ()" -e1
eend $? || failed+=( "$dep" )
done
if [[ ${failed[@]} ]]; then
echo
eerror "One or more modules failed compile:";
for dep in "${failed[@]}"; do
eerror " ${dep}"
done
die "Failing due to module compilation errors";
fi
if [[ "${AUDIO_MIXER_HW_TEST:-0}" == 0 ]]; then
ewarn "Comprehensive testing of this module needs hardware access to mixing"
ewarn "devices. Set AUDIO_MIXER_HW_TEST=1 in your environment if you want full"
ewarn "coverage"
ewarn "For details, see:"
ewarn "https://wiki.gentoo.org/wiki/Project:Perl/maint-notes/dev-perl/Audio-Mixer"
else
perl-module_src_test
fi
}

@ -12,7 +12,7 @@ DESCRIPTION="Localization support for DateTime"
LICENSE="|| ( Artistic GPL-1+ ) unicode"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
IUSE="test"
RESTRICT="!test? ( test )"

Binary file not shown.

Binary file not shown.

@ -8,3 +8,4 @@ DIST boto3-1.15.3.tar.gz 335286 BLAKE2B 05c9ef757b8d227ae06a22e78d978821ff50da71
DIST boto3-1.15.4.tar.gz 335401 BLAKE2B 42ee1f2cf1e82338ea59a40b95aa5c76abae51aacf325ae845f407ccbc3caf1b3901bca48036889ad6307f96c257259cce39784a3f52ec6ff03c0c6c5633c654 SHA512 14626faa3943b65a215b8f1bce24f217e69421cdfd40caaf7de0fec13ca9b5b25c5e290c27672b2a6bc41316917224209110e2efd5be817de7273f93ae5764ce
DIST boto3-1.15.5.tar.gz 335536 BLAKE2B e4476272346dce929be52be220ac7da2e258bc20f5586eec8adb18bfedf1be63c6318a4ac9890d1380b625a67aa4ca5068fbccd6c36972a9ec8baf4473d1f2f1 SHA512 d9d49176b800f2fdf70ae3da657201571a26112f23b12337b133459c6e03d4f56970f6a7be3da6570439f32c41fc917adcc8c3b1d9cd74196728ac55ca0bb933
DIST boto3-1.15.6.tar.gz 335618 BLAKE2B 6f3816b6363757ea1dbdef4bd710a68f07b513d2f4b6a7ad05769e2417e8b0a6752dcff8f3600f8bb419f074a24b32c9386c9f11dc549097bd963c32d20a0d23 SHA512 7357f8ac98ca1bb1983af22537d1ed939b1e51371966a7c312ec748f6acf9fbbb102335965a79cf44ebbb2b0b4db9ce859c4470f542d19ceea4513d90eaba274
DIST boto3-1.15.7.tar.gz 335640 BLAKE2B 01becc9a36fc03937153fc7d4a37b5630bb1c1d6f72ff9420de73a05f4ef7e5e39561e4175b6f652241d15efae708123b41673d9d69453b9b902c0f1568282b1 SHA512 4b612fc51e453af77e84ddbe5d3ee8e03e25be37a2b8fe65a960c22b8ee3423b1ddf0a482a189378e470500b3fe78af615571f15f9fb8fa86147a4334ef22ffa

@ -0,0 +1,56 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
DISTUTILS_USE_SETUPTOOLS=bdepend
inherit distutils-r1
DESCRIPTION="The AWS SDK for Python"
HOMEPAGE="https://github.com/boto/boto3"
LICENSE="Apache-2.0"
SLOT="0"
if [[ "${PV}" == "9999" ]]; then
EGIT_REPO_URI="https://github.com/boto/boto3"
inherit git-r3
BOTOCORE_PV=${PV}
else
SRC_URI="https://github.com/boto/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
# botocore is x.(y+3).z
BOTOCORE_PV="$(ver_cut 1).$(( $(ver_cut 2) + 3)).$(ver_cut 3-)"
fi
RDEPEND="
>=dev-python/botocore-${BOTOCORE_PV}[${PYTHON_USEDEP}]
>=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
>=dev-python/s3transfer-0.3.0[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
)
"
distutils_enable_sphinx docs/source \
'dev-python/guzzle_sphinx_theme'
distutils_enable_tests nose
python_prepare_all() {
# don't lock versions to narrow ranges
sed -e '/botocore/ d' \
-e '/jmespath/ d' \
-e '/s3transfer/ d' \
-i setup.py || die
# prevent an infinite loop
rm tests/functional/docs/test_smoke.py || die
distutils-r1_python_prepare_all
}
python_test() {
nosetests -v tests/unit/ tests/functional/ || die "test failed under ${EPYTHON}"
}

@ -8,3 +8,4 @@ DIST botocore-1.18.3.tar.gz 6846755 BLAKE2B 3f6709cac832dff1ba07c2e8b4c235b5bcdf
DIST botocore-1.18.4.tar.gz 6850892 BLAKE2B 013319b1055db5a65f25b4d11c0ae97e6eb58a8976eafea98c80a33c756b8715d69fddb86c900e9c3c1a6447d05a7afd2f11a155db5f6cbcefc5f80fccbf680c SHA512 c84b7c5dcb78101d6d04bea2a4453e2c47711133bf4ee1e96c6bea18a0b3de7c41021bfe5ac501eeb2b35d50bfe8782ee29d931adf79ae77a45a2f3b117716df
DIST botocore-1.18.5.tar.gz 6852318 BLAKE2B 3aeca749a143cba59ce637935a711df14351444bdbc3c2c6133431700a9d0ca1d8fb878ee3561e34c223df4c91f3e7054abfd82b09469369610ad0f35de2ff22 SHA512 3ba448a45460ce746a01372ab8e37b2faed7529bdd1e17d9ce9d79545a3700231e36f9b00ba448dcd33f60734dedd5dc9851def843eff55a0c9ccf711ee06b35
DIST botocore-1.18.6.tar.gz 6854270 BLAKE2B d5d8a321adde9c16706768633a8ed32d4db086ec2634dae8e2057c2217b2e729bfd02e2968a9749d660ded41c883ac153a80083256a27496b4b59013b57520e5 SHA512 d4c3f79f1531f85f2ab793bcdeb13f8f51c333e704f404415e49f50d310a715f752f19bc4bc7ce07c5b20f19c5924008f47146f737c318b9204d8a4af4f6fe8d
DIST botocore-1.18.7.tar.gz 6854828 BLAKE2B d4b3095d29fea7157ca8b5499726886527941e04e0c2f274eba3573acc8a8c6ff26fd734f144335e03b9bb25c9fba128bb817a68178c284406a232c1d8881050 SHA512 c94ef62d4cc89317cb13fd96f5661de8ea3b1478c4dbce039d6e3b6af6ac4e58e3e5cf2d7d62c90e5b6b046303fc1e9273041640ae4907086591213ba3f79877

@ -0,0 +1,59 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1
DESCRIPTION="Low-level, data-driven core of boto 3"
HOMEPAGE="https://github.com/boto/botocore"
LICENSE="Apache-2.0"
SLOT="0"
if [[ "${PV}" == "9999" ]]; then
EGIT_REPO_URI="https://github.com/boto/botocore"
inherit git-r3
else
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
fi
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
dev-python/jmespath[${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
dev-python/urllib3[${PYTHON_USEDEP}]
"
BDEPEND="
test? (
dev-python/mock[${PYTHON_USEDEP}]
dev-python/jsonschema[${PYTHON_USEDEP}]
)
"
PATCHES=(
"${FILESDIR}/1.8.6-tests-pass-all-env-vars-to-cmd-runner.patch"
)
distutils_enable_sphinx docs/source \
'dev-python/guzzle_sphinx_theme'
distutils_enable_tests nose
src_prepare() {
# unpin deps
sed -i -e "s:>=.*':':" setup.py || die
# very unstable
sed -i -e 's:test_stress_test_token_bucket:_&:' \
tests/functional/retries/test_bucket.py || die
distutils-r1_src_prepare
}
python_test() {
# note: suites need to be run separately as one of the unit tests
# seems to be leaking mocks and breaking a few functional tests
nosetests -v tests/unit ||
die "unit tests failed under ${EPYTHON}"
nosetests -v tests/functional ||
die "functional tests failed under ${EPYTHON}"
}

@ -1 +1,2 @@
DIST capturer-2.4.tar.gz 16963 BLAKE2B 329e388059a033993cf2ac3744a8df273beea0239f3696d19aece57767b0b5cd3397fa095f860c4f00ef24e8cd6bf2e58aab4158a86cf8c0c09c89d2065de0da SHA512 d85614b0424ab8817df9475ac0d230d7151289a3353a3c043a7fa89dac0528265a4dee535cac9ad0a3c2fbb0cac18afa69cd0a405b1becab55f9a6be13df0c46
DIST capturer-3.0.tar.gz 18146 BLAKE2B 345313fa9e58c4e0121c795bd99606f99e46459215ed239da56586da8f8ffab35d97f0bf655258abe9cc45d4abaf7cb0ad2e76054d8c1781be2531ca01b04381 SHA512 3c83c0eade27380304347bdc93df392b2cb84c084e50693993dcca5fd572b8f92d31de43b4a2ddd0a0e8c7eb097629127e86a4860918c507d13b0e2979a04098

@ -0,0 +1,27 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( pypy3 python3_{6,7,8,9} )
inherit distutils-r1
DESCRIPTION="Easily capture stdout/stderr of the current process and subprocesses"
HOMEPAGE="https://capturer.readthedocs.io/en/latest/
https://pypi.org/project/capturer/
https://github.com/xolox/python-capturer"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
RDEPEND="dev-python/humanfriendly[${PYTHON_USEDEP}]"
distutils_enable_sphinx docs
distutils_enable_tests pytest
python_test() {
pytest -vv ${PN}/tests.py || die "Tests fail with ${EPYTHON}"
}

@ -0,0 +1,32 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_USE_SETUPTOOLS=no
PYTHON_COMPAT=( python3_{6..9} pypy3 )
inherit distutils-r1
MY_P=certifi-shim-${PV}
DESCRIPTION="Thin replacement for certifi using system certificate store"
HOMEPAGE="
https://github.com/mgorny/certifi-shim
https://pypi.org/project/certifi"
SRC_URI="
https://github.com/mgorny/certifi-shim/archive/v${PV}.tar.gz
-> ${MY_P}.tar.gz"
S=${WORKDIR}/${MY_P}
LICENSE="CC0-1.0"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~ppc-aix ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
RDEPEND="app-misc/ca-certificates"
distutils_enable_tests unittest
src_prepare() {
sed -i -e "s^/etc^${EPREFIX}/etc^" certifi/core.py || die
distutils-r1_src_prepare
}

@ -1,4 +1,5 @@
DIST llvmorg-10.0.0.tar.gz 120804856 BLAKE2B 6b0254f5b913398cdcf2b2ec1ff219888706d2b79d5296590934714e42ac79f6a6547941ac2b1d2c4e6313dd18b6c7068e748aa6ac033e49fccbf5d355aa8191 SHA512 baa182d62fef1851836013ae8a1a00861ea89769778d67fb97b407a9de664e6c85da2af9c5b3f75d2bf34ff6b00004e531ca7e4b3115a26c0e61c575cf2303a0
DIST llvmorg-10.0.1.tar.gz 120880730 BLAKE2B 30f19f56c4d1f6abcda5fec76256219d1e3c8a6ff1a1f152f94bfe362c07884339fe571ff7fe903ed3b3deb150b2fa868c387887a0dea2930dc08b81db71a5b1 SHA512 48078fff9293a87f1a973f3348f79506f04c3da774295f5eb67d74dd2d1aa94f0973f8ced3f4ab9e8339902071f82c603b43d5608ad7227046c4da769c5d2151
DIST llvmorg-11.0.0-rc3.tar.gz 122766783 BLAKE2B 052fdc864fed52692141284ebdc41d52d21fbeaf24ac5ed3e67701537baa683bae61b1c06de68322e0578a27a1f5a8856088cdc001d2b8d34d2ec88ae65ff739 SHA512 a28ce74775373c63fe23b3116cd25db0efb95c6fdb60e56f2522659a404a59576f3d9429a109cb0f90534927259289aa1c712673f36f92272d642bf8dce5699f
DIST llvmorg-11.0.0-rc4.tar.gz 122768150 BLAKE2B e92417b6e1775a10c196534518036de6393e3cb9e0e656d4f864e7870be8fb0dad3f4cf170345e653ba60f36172df117977d5dfebe3d9ee7ec2c160d3dc9c5cd SHA512 ed2aee9f6d0bb887f27840158e9f95d94c9ad3981a0388a33fcd3e405f5072134a02999075238b6a2b8803149aa08ac790214605b186c2cc2d4827ba53c00de1
DIST llvmorg-9.0.1.tar.gz 113193320 BLAKE2B b86e405f2b8e00436045fd409fe19cdde75c797b1192c62a22b5ec75e6b4dc8e874a0f33008dc31562445e4cbe53a992b6f48c684255a6a1ef261e595b8b161f SHA512 fa88beeaae94b6d0cd9b5ba38658d0ffed8004035d7d8a4f95c3d31a709b88b581ae9bd7761333c8e5375c44b8f6be01768b5a3be901163159d7e6c43b71da59

@ -0,0 +1,40 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
inherit llvm.org python-r1
DESCRIPTION="Python bindings for sys-devel/clang"
HOMEPAGE="https://llvm.org/"
LLVM_COMPONENTS=( clang/bindings/python )
llvm.org_set_globals
LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
SLOT="0"
KEYWORDS=""
IUSE="test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RESTRICT="!test? ( test )"
# The module is opening libclang.so directly, and doing some blasphemy
# on top of it.
RDEPEND="
>=sys-devel/clang-${PV}:*
!sys-devel/llvm:0[clang(-),python(-)]
!sys-devel/clang:0[python(-)]
${PYTHON_DEPS}"
DEPEND="${RDEPEND}"
python_test() {
"${EPYTHON}" -m unittest discover -v || die "Tests fail with ${EPYTHON}"
}
src_test() {
python_foreach_impl python_test
}
src_install() {
python_foreach_impl python_domodule clang
}

@ -1 +1,2 @@
DIST coloredlogs-10.0.tar.gz 273273 BLAKE2B 775b12718d780da396d74c7f960cdbbd4858c793bf3eefb53d29e9f6b415f682110ae2c7ac631be230578946a2fab8d75e0c3aa487ccd952bb05443f0a85700c SHA512 f4a51fd8fa92ea4e2ef0b58305dcc4bbe12851e722fc85cfd4f48a9388002efced52bcf027f6dc4c525b095f3f953970e73928fdce3245ab4f9d13ae36b9d498
DIST coloredlogs-14.0.tar.gz 275863 BLAKE2B 0a8c026220955397378ad2b43a69c89c5710a09e2d9ed81a3f25408c60e171f4b8f78239696a0bc1b51fc3dd9bfca80df63e1f1d7afb6bee0046209a089e0d6d SHA512 3434a95f3216d19af5d7a48324e5afd5e975f92d9f6b99f40df2c0a635f1738e0bc6d7277a549a42a0fec5a8601f82908c4b0205ceeb3666f49210f66fe58671

@ -0,0 +1,46 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( pypy3 python3_{6..9} )
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
DESCRIPTION="Colored stream handler for the logging module"
HOMEPAGE="
https://pypi.org/project/coloredlogs/
https://github.com/xolox/python-coloredlogs
https://coloredlogs.readthedocs.io/en/latest/
"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
RDEPEND="dev-python/humanfriendly[${PYTHON_USEDEP}]"
BDEPEND="
test? (
dev-python/capturer[${PYTHON_USEDEP}]
dev-python/coverage[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/verboselogs[${PYTHON_USEDEP}]
)
"
PATCHES=( "${FILESDIR}/${P}-fix-install-prefix.patch" )
distutils_enable_sphinx docs
distutils_enable_tests pytest
python_test() {
# test_cli_conversion requires the package to be installed
distutils_install_for_testing
# test_auto_install fails because the pth file isn't being loaded
pytest -vv ${PN}/tests.py \
--deselect ${PN}/tests.py::ColoredLogsTestCase::test_auto_install \
|| die "Tests fail with ${EPYTHON}"
}

@ -0,0 +1,35 @@
commit 6f566c799323feb3b8dc2b82e62953040a6a5129
Author: Louis Sautier <sautier.louis@gmail.com>
Date: Sat Sep 26 10:30:37 2020 +0200
setup.py: use absolute paths for pth files
On some systems (such as PyPy3 on Gentoo), distutils' `data` path is not
`sys.prefix`, which means that we cannot rely on relative paths.
diff --git a/setup.py b/setup.py
index 057dd80..7674adc 100755
--- a/setup.py
+++ b/setup.py
@@ -66,9 +66,9 @@ def find_pth_directory():
Determine the correct directory pathname for installing ``*.pth`` files.
To install a ``*.pth`` file using a source distribution archive (created
- when ``python setup.py sdist`` is called) the relative directory pathname
- ``lib/pythonX.Y/site-packages`` needs to be passed to the ``data_files``
- option to ``setup()``.
+ when ``python setup.py sdist`` is called) the directory pathname
+ ``/usr/lib/pythonX.Y/site-packages`` needs to be passed to the ``data_files``
+ option of ``setup()``.
Unfortunately this breaks universal wheel archives (created when ``python
setup.py bdist_wheel --universal`` is called) because a specific Python
@@ -81,7 +81,7 @@ def find_pth_directory():
directory without hard coding its location.
"""
return ('/' if 'bdist_wheel' in sys.argv
- else os.path.relpath(distutils.sysconfig.get_python_lib(), sys.prefix))
+ else distutils.sysconfig.get_python_lib())
setup(name='coloredlogs',

@ -0,0 +1,75 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} pypy3 )
PYTHON_REQ_USE="threads(+)"
inherit distutils-r1 toolchain-funcs elisp-common
DESCRIPTION="A Python to C compiler"
HOMEPAGE="https://cython.org https://pypi.org/project/Cython/
https://github.com/cython/cython"
SRC_URI="https://github.com/cython/cython/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="emacs test"
RESTRICT="!test? ( test )"
RDEPEND="
emacs? ( >=app-editors/emacs-23.1:* )
"
BDEPEND="${RDEPEND}
dev-python/setuptools[${PYTHON_USEDEP}]
test? (
$(python_gen_cond_dep 'dev-python/numpy[${PYTHON_USEDEP}]' \
'python3*')
)"
PATCHES=(
"${FILESDIR}/cython-0.29.14-sphinx-update.patch"
)
SITEFILE=50cython-gentoo.el
distutils_enable_sphinx docs
python_compile() {
# Python gets confused when it is in sys.path before build.
local -x PYTHONPATH=
distutils-r1_python_compile
}
python_compile_all() {
use emacs && elisp-compile Tools/cython-mode.el
}
python_test() {
tc-export CC
# https://github.com/cython/cython/issues/1911
local -x CFLAGS="${CFLAGS} -fno-strict-overflow"
"${PYTHON}" runtests.py -vv --work-dir "${BUILD_DIR}"/tests \
|| die "Tests fail with ${EPYTHON}"
}
python_install_all() {
local DOCS=( CHANGES.rst README.rst ToDo.txt USAGE.txt )
distutils-r1_python_install_all
if use emacs; then
elisp-install ${PN} Tools/cython-mode.*
elisp-site-file-install "${FILESDIR}/${SITEFILE}"
fi
}
pkg_postinst() {
use emacs && elisp-site-regen
}
pkg_postrm() {
use emacs && elisp-site-regen
}

@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
KEYWORDS="amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86"
RDEPEND="dev-python/packaging[${PYTHON_USEDEP}]"
BDEPEND="

@ -15,7 +15,7 @@ SRC_URI="https://github.com/nicfit/eyeD3/archive/v${PV}.tar.gz -> ${P}.tar.gz
LICENSE="GPL-2"
SLOT="0.7"
KEYWORDS="~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
RDEPEND="
dev-python/deprecation[${PYTHON_USEDEP}]

@ -0,0 +1,23 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( pypy3 python3_{6..9} )
inherit distutils-r1
DESCRIPTION="Standalone version of django.utils.feedgenerator"
HOMEPAGE="https://pypi.org/project/feedgenerator/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="
dev-python/six[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
"
distutils_enable_tests setup.py

@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
PATCHES=( "${FILESDIR}/${P}-examples.patch" )

@ -1 +1 @@
DIST flask-paginate-0.5.3.tar.gz 118570 BLAKE2B 0c6d1163dcd8144afa80b217ab3a714a39f4015aa732b4c32cf0feee0d7ee06968bd8549651f2941be9c60d3fd36a18e132dd4c174eb4148e63f83e461cbf519 SHA512 fe3cdc808459528c449611b2411c377d46bdef4995cd2851730e90dc0091da15479022f401e31113c4d39f766841d9701f285c81e0ec6293eddd4c8f0821567e
DIST flask-paginate-0.7.0.tar.gz 119358 BLAKE2B 24c1f3bc77853c9c96bb72d3364e73845f8fd0870606dd96b4261861430bef864a6830dd793f4f6e8a9371c89342dda88c5f976d79ff4a1bec7d687614b2014a SHA512 11c335c08c6a9c32999e5b8ba7a76c1fb04769e5ab679b550efc87497446edbaa1e3ccb62a4c238a0b5585f7ba4067e43f158ae123c3b118db84b90cb5d4f219

@ -1,33 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( pypy3 python3_{6,7} )
inherit distutils-r1
MY_COMMIT="510ad833106134711868653fb597bf75ea8ac34f"
DESCRIPTION="Pagination support for flask"
HOMEPAGE="https://flask-paginate.readthedocs.io"
# https://github.com/lixxu/flask-paginate/issues/68
SRC_URI="https://github.com/lixxu/flask-paginate/archive/${MY_COMMIT}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"
RDEPEND="dev-python/flask[${PYTHON_USEDEP}]"
BDEPEND="
dev-python/setuptools[${PYTHON_USEDEP}]
test? ( dev-python/pytest[${PYTHON_USEDEP}] )
"
S="${WORKDIR}/${PN}-${MY_COMMIT}"
python_test() {
pytest -vv tests/tests.py || die "tests failed with ${EPYTHON}"
}

@ -0,0 +1,24 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_USE_SETUPTOOLS=bdepend
PYTHON_COMPAT=( python3_{6..9} pypy3 )
inherit distutils-r1
DESCRIPTION="Pagination support for flask"
HOMEPAGE="https://flask-paginate.readthedocs.io"
SRC_URI="https://github.com/lixxu/flask-paginate/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="dev-python/flask[${PYTHON_USEDEP}]"
distutils_enable_tests pytest
python_test() {
pytest -vv tests/tests.py || die "tests failed with ${EPYTHON}"
}

@ -13,7 +13,7 @@ SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm arm64 ~ia64 ~ppc ~ppc64 ~sparc x86"
KEYWORDS="~alpha amd64 ~arm arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86"
IUSE=""
RDEPEND=""

@ -14,7 +14,7 @@ SRC_URI="https://github.com/python-hyper/${PN}/archive/v${PV}.tar.gz -> ${P}.tar
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
# dev-python/pytest-relaxed causes tests to fail
BDEPEND="

@ -1 +1,2 @@
DIST humanfriendly-4.18.tar.gz 345853 BLAKE2B 9b03ea0679f787e216ee78efe8feb77f83562998813718845f4d21b7ce3f42cadff0e80b96f02da3cf6dc7f35cb0714f746940cf2ac0ec8e8981377989650c8a SHA512 01c7ee50d35154fe0b7ad39662ca6ff2dcd3e0f2a2eacc62f0184102c9db1c0fd99257273982aff56710b4e59024e8c20ee77ddd10c68e427c077ed4ca7e0022
DIST humanfriendly-8.2.tar.gz 358747 BLAKE2B bc5824e94ea94df6ee93ea44d273ccb856f50b69e52ae6293afaedf06c9f00c67e064f0c85edd88be9954bb258334b1b9af4ab88efc5b352f3efe8d322fc55c1 SHA512 123d8592e6613a70421740648bb8998733b118927a0bd6182af848612e46eec8e35cae95168219c9b7672bed8e18e1c4a493a80248eabe47f8a4cb1813c8b591

@ -0,0 +1,37 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( pypy3 python3_{6..9} )
PYTHON_REQ_USE="threads(+)"
DISTUTILS_USE_SETUPTOOLS=rdepend
inherit distutils-r1
DESCRIPTION="Human friendly output for text interfaces using Python"
HOMEPAGE="https://pypi.org/project/humanfriendly
https://github.com/xolox/python-humanfriendly
https://humanfriendly.readthedocs.org"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
SLOT="0"
LICENSE="MIT"
KEYWORDS="~amd64 ~arm ~x86 ~amd64-linux ~x86-linux"
BDEPEND="
test? (
dev-python/capturer[${PYTHON_USEDEP}]
dev-python/coloredlogs[${PYTHON_USEDEP}]
dev-python/docutils[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
)
"
distutils_enable_tests pytest
distutils_enable_sphinx docs
python_test() {
pytest -vv ${PN}/tests.py || die "Tests fail with ${EPYTHON}"
}

@ -12,7 +12,7 @@ SRC_URI="https://github.com/python-hyper/${PN}/archive/v${PV}.tar.gz -> ${P}.tar
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
>=dev-python/hyperframe-6.0[${PYTHON_USEDEP}]

@ -1,4 +1,5 @@
DIST llvmorg-10.0.0.tar.gz 120804856 BLAKE2B 6b0254f5b913398cdcf2b2ec1ff219888706d2b79d5296590934714e42ac79f6a6547941ac2b1d2c4e6313dd18b6c7068e748aa6ac033e49fccbf5d355aa8191 SHA512 baa182d62fef1851836013ae8a1a00861ea89769778d67fb97b407a9de664e6c85da2af9c5b3f75d2bf34ff6b00004e531ca7e4b3115a26c0e61c575cf2303a0
DIST llvmorg-10.0.1.tar.gz 120880730 BLAKE2B 30f19f56c4d1f6abcda5fec76256219d1e3c8a6ff1a1f152f94bfe362c07884339fe571ff7fe903ed3b3deb150b2fa868c387887a0dea2930dc08b81db71a5b1 SHA512 48078fff9293a87f1a973f3348f79506f04c3da774295f5eb67d74dd2d1aa94f0973f8ced3f4ab9e8339902071f82c603b43d5608ad7227046c4da769c5d2151
DIST llvmorg-11.0.0-rc3.tar.gz 122766783 BLAKE2B 052fdc864fed52692141284ebdc41d52d21fbeaf24ac5ed3e67701537baa683bae61b1c06de68322e0578a27a1f5a8856088cdc001d2b8d34d2ec88ae65ff739 SHA512 a28ce74775373c63fe23b3116cd25db0efb95c6fdb60e56f2522659a404a59576f3d9429a109cb0f90534927259289aa1c712673f36f92272d642bf8dce5699f
DIST llvmorg-11.0.0-rc4.tar.gz 122768150 BLAKE2B e92417b6e1775a10c196534518036de6393e3cb9e0e656d4f864e7870be8fb0dad3f4cf170345e653ba60f36172df117977d5dfebe3d9ee7ec2c160d3dc9c5cd SHA512 ed2aee9f6d0bb887f27840158e9f95d94c9ad3981a0388a33fcd3e405f5072134a02999075238b6a2b8803149aa08ac790214605b186c2cc2d4827ba53c00de1
DIST llvmorg-9.0.1.tar.gz 113193320 BLAKE2B b86e405f2b8e00436045fd409fe19cdde75c797b1192c62a22b5ec75e6b4dc8e874a0f33008dc31562445e4cbe53a992b6f48c684255a6a1ef261e595b8b161f SHA512 fa88beeaae94b6d0cd9b5ba38658d0ffed8004035d7d8a4f95c3d31a709b88b581ae9bd7761333c8e5375c44b8f6be01768b5a3be901163159d7e6c43b71da59

@ -0,0 +1,39 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1 llvm.org
DESCRIPTION="A stand-alone install of the LLVM suite testing tool"
HOMEPAGE="https://llvm.org/"
LLVM_COMPONENTS=( llvm/utils/lit )
llvm.org_set_globals
LICENSE="Apache-2.0-with-LLVM-exceptions UoI-NCSA"
SLOT="0"
KEYWORDS=""
IUSE="test"
RESTRICT="!test? ( test )"
# Tests require 'FileCheck' and 'not' utilities (from llvm)
BDEPEND="
test? (
dev-python/psutil[${PYTHON_USEDEP}]
sys-devel/llvm )"
# TODO: move the manpage generation here (from sys-devel/llvm)
src_prepare() {
cd "${WORKDIR}" || die
distutils-r1_src_prepare
}
python_test() {
local -x LIT_PRESERVES_TMP=1
local litflags=$(get_lit_flags)
./lit.py ${litflags//;/ } tests || die
}

@ -0,0 +1,86 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{6..9} pypy3 )
PYTHON_REQ_USE="threads(+)"
inherit distutils-r1
DESCRIPTION="Unittest extension with automatic test suite discovery and easy test authoring"
HOMEPAGE="
https://pypi.org/project/nose/
https://nose.readthedocs.io/en/latest/
https://github.com/nose-devs/nose"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="coverage examples test"
RESTRICT="!test? ( test )"
RDEPEND="
coverage? (
dev-python/coverage[${PYTHON_USEDEP}]
)"
DEPEND="${RDEPEND}
test? (
dev-python/coverage[${PYTHON_USEDEP}]
$(python_gen_cond_dep '
dev-python/twisted[${PYTHON_USEDEP}]
' 'python3*')
)"
PATCHES=(
"${FILESDIR}"/${P}-python-3.5-backport.patch
# Patch against master found in an upstream PR, backported:
# https://github.com/nose-devs/nose/pull/1004
"${FILESDIR}"/${P}-coverage-4.1-support.patch
"${FILESDIR}"/${P}-python-3.6-test.patch
)
python_prepare_all() {
# Tests need to be converted, and they don't respect BUILD_DIR.
use test && DISTUTILS_IN_SOURCE_BUILD=1
# Disable tests requiring network connection.
sed \
-e "s/test_resolve/_&/g" \
-e "s/test_raises_bad_return/_&/g" \
-e "s/test_raises_twisted_error/_&/g" \
-i unit_tests/test_twisted.py || die "sed failed"
# Disable versioning of nosetests script to avoid collision with
# versioning performed by the eclass.
sed -e "/'nosetests%s = nose:run_exit' % py_vers_tag,/d" \
-i setup.py || die "sed2 failed"
# fix manpage install path
sed -i -e 's:man/:share/&:' setup.py || die
distutils-r1_python_prepare_all
}
python_compile() {
local add_targets=()
if use test; then
add_targets+=( egg_info )
python_is_python3 && add_targets+=( build_tests )
fi
distutils-r1_python_compile "${add_targets[@]}"
}
python_test() {
"${EPYTHON}" selftest.py -v || die "Tests fail with ${EPYTHON}"
}
python_install_all() {
use examples && dodoc -r examples
distutils-r1_python_install_all
}

@ -0,0 +1,19 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} pypy3 )
inherit distutils-r1
DESCRIPTION="Python package to parse, read and write Microsoft OLE2 files"
HOMEPAGE="https://www.decalage.info/olefile"
SRC_URI="https://github.com/decalage2/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
distutils_enable_sphinx doc
distutils_enable_tests unittest

@ -1 +1,2 @@
DIST openpyxl-3.0.3.tar.bz2 2407120 BLAKE2B 8a746409d3424014150bad797923f076ac8ba0ab24ffe0ee75c1d65f02accbeecfdc0ae5d2c6025d0fa937cf0f1c75c8837a84ba0f9d63b3778c14c2899df4ba SHA512 7a17a21a4f3be391e7ab72ef6c5f6342094404f68a9e9ca69f874f1ac2441d81699b91224cd1ccd4fe3e7e5c99ca59088ee532bbd2e6edcab40c27a8f1898095
DIST openpyxl-3.0.5.tar.bz2 2421647 BLAKE2B 60fc12188a608891a63513177e8e3399b3905ee9b4c4ff1631901ce0d99c3e05bc9413813d3c4f7bb9034e1d839f91e9dea5e610795c701a40d99f1011b08c45 SHA512 5f60f746b7b4bd32a018972f7c18adc0552a6d6904fcf1258db3fab28f21aa7b17e386b355ede41365889146e9aaa09911748a26343788477fd72ad5d1264974

@ -7,8 +7,8 @@
</maintainer>
<upstream>
<remote-id type="pypi">openpyxl</remote-id>
<remote-id type="bitbucket">openpyxl/openpyxl</remote-id>
<bugs-to>https://bitbucket.org/openpyxl/openpyxl/issues</bugs-to>
<bugs-to>https://foss.heptapod.net/openpyxl/openpyxl/issues</bugs-to>
<changelog>https://openpyxl.readthedocs.io/en/stable/changes.html</changelog>
<doc>https://openpyxl.readthedocs.io</doc>
</upstream>
</pkgmetadata>

@ -3,33 +3,28 @@
EAPI=7
PYTHON_COMPAT=( python3_{6,7} )
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1 mercurial
inherit distutils-r1
DESCRIPTION="Pure python reader and writer of Excel OpenXML files"
HOMEPAGE="https://openpyxl.readthedocs.io/en/stable/"
SRC_URI=""
EHG_REPO_URI="https://bitbucket.org/openpyxl/openpyxl"
# Upstream doesn't want to include tests in PyPI tarballs
SRC_URI="https://foss.heptapod.net/openpyxl/openpyxl/-/archive/${PV}/${P}.tar.bz2"
LICENSE="MIT"
SLOT="0"
KEYWORDS=""
IUSE="test"
RESTRICT="!test? ( test )"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
RDEPEND="
dev-python/jdcal[${PYTHON_USEDEP}]
dev-python/et_xmlfile[${PYTHON_USEDEP}]
"
DEPEND="
BDEPEND="
test? (
${RDEPEND}
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/lxml[${PYTHON_USEDEP}]
dev-python/pillow[${PYTHON_USEDEP}]
dev-python/pillow[${PYTHON_USEDEP},tiff,jpeg]
)"
python_test() {
pytest || die "Testing failed with ${EPYTHON}"
}
distutils_enable_sphinx doc
distutils_enable_tests pytest

@ -1 +1,2 @@
DIST parver-0.3.1.tar.gz 29110 BLAKE2B da444a77907beac0bebd2dba812c8843052e27de1b8b802b5bdd37feb4ffe1cfdcabb84a91b6e6fe21275bce22e3b43736617df756570c6438af7ffd81a1ba87 SHA512 2ea7eb7be0c58657f5261d7b4729da6caaf2fac67db3fc3f36d29627bdbeba45f6ecb0e4bb251575b621908eb1ff5fa5ede5fc2ef0e041156dcc00548fd34360
DIST parver-0.3.tar.gz 28324 BLAKE2B b7ffed6f6e03d9409ba512fb43336fa81ce4152fa066703c1de122f709410c946a1ce6fcedf8ddbdb0c9af66d8651c597f2abf3867115d89280381c6fb1f24e8 SHA512 0b31ee3c3fc24b056a97ccb9df10dec69ca66f4690b7f01ae84fbe583b77cf713b98d207eaf7a34c2192eecdf4077121154fe9b59aa83fe4836080cae729a90d

@ -0,0 +1,37 @@
# Copyright 2019-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1
DESCRIPTION="Parse and manipulate version numbers"
HOMEPAGE="https://github.com/RazerM/parver https://pypi.org/project/parver/"
SRC_URI="https://github.com/RazerM/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~x86"
RDEPEND="
>=dev-python/arpeggio-1.7[${PYTHON_USEDEP}]
>=dev-python/attrs-19.2[${PYTHON_USEDEP}]
dev-python/six[${PYTHON_USEDEP}]
"
DEPEND="
test? (
${RDEPEND}
dev-python/hypothesis[${PYTHON_USEDEP}]
dev-python/pretend[${PYTHON_USEDEP}]
)"
distutils_enable_tests pytest
src_prepare() {
# unlock dependencies
sed -i -e 's:~=:>=:g' setup.py || die
distutils-r1_src_prepare
}

@ -1,4 +1,3 @@
DIST pip-20.1.1.tar.gz 6503229 BLAKE2B 5b0409042c970ec47fa6f947b21a53aca43563a6bb442fd5f91788fa97caf7167a84b4f581de87453eb0e55657d2ccd11dca2d1815c3bfe9ef5923994306a6db SHA512 ee7b0345c08fbe0215811d07b4c57c1ceece826871842f6d1c174d82e8eee0ad810aa5413d6763ecd5a513e151792a53c36623ab99d2049555ef2542d32d1658
DIST pip-20.2.2.tar.gz 8719081 BLAKE2B 642a8e9b2f7c3dc08b7e8f7874b7d1d988622f50b9430939060c3b9c086ae7bdaf4a58e9709376e0d36411fb2b492d4e44ddb6282f1fe12d7c8b9ecfdb1c0482 SHA512 0b000977f169900eebd4afeabfc7bd59b104246bbb048ce5b4db7f701e20ef1caef22c7ca2311843eafc4a37abbb81a74beddddf655eeaf2e33e3949d5a811e6
DIST pip-20.2.3.tar.gz 8719284 BLAKE2B 280637627750302b11828f066b949df7a8d38c6fbdb7532a41eed0d4bd5b83a24ec717e9f57ebcf9d246a0c5aeb272bdaefc9299926dfe308ce20b84e82d81c2 SHA512 b2f7c6b2d5b0c3d743fa8b1061196f8cedf7f106e0cb87507070f1d930d1f1c8a875c800b2d1f7be5b9cada1ba6d3e5b2d7e2f3bdd42e43fd5147536ec1bdf48
DIST setuptools-44.0.0-py2.py3-none-any.whl 583230 BLAKE2B 823e6792471660f247e30a938aa869d345a63db7294e5f9b4bd88f15a7694779011d29740fe317149620985f705fc6e18cbb07a18e5680cc11d7c229ffbc74f6 SHA512 7006fd303181afbeeec0e30cafb9fd1e4d3c6f55cfdd6343fedbc32b17dbb96b3d96ae37f4db27bfb168738727474cf425904ec280ff1d2b789fc48077a8fa84

@ -1,78 +0,0 @@
From b30dd1e04e1f37901733f1be0a5a1e02c466ad0c Mon Sep 17 00:00:00 2001
From: gutsytechster <prashantsharma161198@gmail.com>
Date: Wed, 15 Apr 2020 19:54:48 +0530
Subject: [PATCH] fix(tests/unit): Update tests to be endian safe
This updates `test_path_to_display` and `test_str_to_display__encoding`
to use the endian safe expected result instead of the hardcoded one.
This fixes https://github.com/pypa/pip/issues/7921
---
tests/unit/test_compat.py | 8 +++++++-
tests/unit/test_utils.py | 16 +++++++++++++---
2 files changed, 20 insertions(+), 4 deletions(-)
diff --git a/tests/unit/test_compat.py b/tests/unit/test_compat.py
index 1f31bc5c..b13087a1 100644
--- a/tests/unit/test_compat.py
+++ b/tests/unit/test_compat.py
@@ -2,6 +2,7 @@
import locale
import os
+import sys
import pytest
@@ -91,8 +92,13 @@ def test_str_to_display__decode_error(monkeypatch, caplog):
# Encode with an incompatible encoding.
data = u'ab'.encode('utf-16')
actual = str_to_display(data)
+ # Keep the expected value endian safe
+ if sys.byteorder == "little":
+ expected = "\\xff\\xfea\x00b\x00"
+ elif sys.byteorder == "big":
+ expected = "\\xfe\\xff\x00a\x00b"
- assert actual == u'\\xff\\xfea\x00b\x00', (
+ assert actual == expected, (
# Show the encoding for easier troubleshooting.
'encoding: {!r}'.format(locale.getpreferredencoding())
)
diff --git a/tests/unit/test_utils.py b/tests/unit/test_utils.py
index 7d74a664..ebabd29e 100644
--- a/tests/unit/test_utils.py
+++ b/tests/unit/test_utils.py
@@ -375,6 +375,18 @@ def test_rmtree_retries_for_3sec(tmpdir, monkeypatch):
rmtree('foo')
+if sys.byteorder == "little":
+ expected_byte_string = (
+ u"b'\\xff\\xfe/\\x00p\\x00a\\x00t\\x00h\\x00/"
+ "\\x00d\\x00\\xe9\\x00f\\x00'"
+ )
+elif sys.byteorder == "big":
+ expected_byte_string = (
+ u"b'\\xfe\\xff\\x00/\\x00p\\x00a\\x00t\\x00h\\"
+ "x00/\\x00d\\x00\\xe9\\x00f'"
+ )
+
+
@pytest.mark.parametrize('path, fs_encoding, expected', [
(None, None, None),
# Test passing a text (unicode) string.
@@ -383,9 +395,7 @@ def test_rmtree_retries_for_3sec(tmpdir, monkeypatch):
(u'/path/déf'.encode('utf-8'), 'utf-8', u'/path/déf'),
# Test a bytes object with a character that can't be decoded.
(u'/path/déf'.encode('utf-8'), 'ascii', u"b'/path/d\\xc3\\xa9f'"),
- (u'/path/déf'.encode('utf-16'), 'utf-8',
- u"b'\\xff\\xfe/\\x00p\\x00a\\x00t\\x00h\\x00/"
- "\\x00d\\x00\\xe9\\x00f\\x00'"),
+ (u'/path/déf'.encode('utf-16'), 'utf-8', expected_byte_string),
])
def test_path_to_display(monkeypatch, path, fs_encoding, expected):
monkeypatch.setattr(sys, 'getfilesystemencoding', lambda: fs_encoding)
--
2.26.2

@ -1,140 +0,0 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{6,7,8,9} pypy3 )
PYTHON_REQ_USE="ssl(+),threads(+)"
inherit bash-completion-r1 distutils-r1 multiprocessing
SETUPTOOLS_PV="44.0.0"
WHEEL_PV="0.34.2"
DESCRIPTION="Installs python packages -- replacement for easy_install"
HOMEPAGE="https://pip.pypa.io/ https://pypi.org/project/pip/ https://github.com/pypa/pip/"
SRC_URI="
https://github.com/pypa/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz
test? (
https://files.pythonhosted.org/packages/py2.py3/s/setuptools/setuptools-${SETUPTOOLS_PV}-py2.py3-none-any.whl
https://files.pythonhosted.org/packages/py2.py3/w/wheel/wheel-${WHEEL_PV}-py2.py3-none-any.whl
)
"
# PyPI archive does not have tests, so we need to download from GitHub.
# setuptools & wheel .whl files are required for testing, exact version is not very important.
LICENSE="MIT"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 sparc x86"
SLOT="0"
IUSE="test -vanilla"
# disable-system-install patch breaks tests
RESTRICT="!test? ( test )"
RDEPEND="
>=dev-python/setuptools-39.2.0[${PYTHON_USEDEP}]
"
DEPEND="
${RDEPEND}
test? (
dev-python/cryptography[${PYTHON_USEDEP}]
dev-python/csv23[${PYTHON_USEDEP}]
dev-python/freezegun[${PYTHON_USEDEP}]
dev-python/mock[${PYTHON_USEDEP}]
dev-python/pretend[${PYTHON_USEDEP}]
dev-python/pytest[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
dev-python/scripttest[${PYTHON_USEDEP}]
<dev-python/virtualenv-20[${PYTHON_USEDEP}]
dev-python/werkzeug[${PYTHON_USEDEP}]
dev-python/wheel[${PYTHON_USEDEP}]
)
"
python_prepare_all() {
local PATCHES=(
"${FILESDIR}/${PN}-19.3-disable-version-check.patch"
"${FILESDIR}/${P}-test-endian.patch"
)
if ! use vanilla; then
PATCHES+=( "${FILESDIR}/pip-20.0.2-disable-system-install.patch" )
fi
distutils-r1_python_prepare_all
if use test; then
mkdir tests/data/common_wheels/ || die
cp "${DISTDIR}"/setuptools-${SETUPTOOLS_PV}-py2.py3-none-any.whl \
tests/data/common_wheels/ || die
cp "${DISTDIR}"/wheel-${WHEEL_PV}-py2.py3-none-any.whl \
tests/data/common_wheels/ || die
fi
}
python_test() {
if [[ ${EPYTHON} == pypy* ]]; then
ewarn "Skipping tests on ${EPYTHON} since they are very broken"
return 0
fi
local -a exclude_tests
# these will be built in to an expression passed to pytest to exclude
exclude_tests=(
git
svn
bazaar
mercurial
version_check
uninstall_non_local_distutils
pep518_uses_build_env
install_package_with_root
install_editable_with_prefix
install_user_wheel
install_from_current_directory_into_usersite
uninstall_editable_from_usersite
uninstall_from_usersite_with_dist_in_global_site
build_env_isolation
user_config_accepted
)
distutils_install_for_testing
# generate the expression to exclude failing tests
local exclude_expr
printf -v exclude_expr "or %s " "${exclude_tests[@]}" || die
exclude_expr="not (${exclude_expr#or })" || die
local -x GENTOO_PIP_TESTING=1 \
PATH="${TEST_DIR}/scripts:${PATH}" \
PYTHONPATH="${TEST_DIR}/lib:${BUILD_DIR}/lib"
pytest -vv \
-k "${exclude_expr}" \
-m "not network" \
|| die "Tests fail with ${EPYTHON}"
}
python_install_all() {
# Prevent dbus auto-launch
# https://bugs.gentoo.org/692178
export DBUS_SESSION_BUS_ADDRESS="disabled:"
local DOCS=( AUTHORS.txt docs/html/**/*.rst )
distutils-r1_python_install_all
COMPLETION="${T}"/completion.tmp
# 'pip completion' command embeds full $0 into completion script, which confuses
# 'complete' and causes QA warning when running as "${PYTHON} -m pip".
# This trick sets correct $0 while still calling just installed pip.
local pipcmd='import sys; sys.argv[0] = "pip"; import pip.__main__; sys.exit(pip.__main__._main())'
${PYTHON} -c "${pipcmd}" completion --bash > "${COMPLETION}" || die
newbashcomp "${COMPLETION}" ${PN}
${PYTHON} -c "${pipcmd}" completion --zsh > "${COMPLETION}" || die
insinto /usr/share/zsh/site-functions
newins "${COMPLETION}" _pip
}

@ -25,7 +25,7 @@ SRC_URI="
# setuptools & wheel .whl files are required for testing, exact version is not very important.
LICENSE="MIT"
KEYWORDS="~alpha amd64 arm ~arm64 ~hppa ~ia64 ppc ppc64 ~riscv sparc x86"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ppc ppc64 ~riscv sparc x86"
SLOT="0"
IUSE="test -vanilla"

@ -0,0 +1,40 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python{3_6,3_7,3_8} )
inherit distutils-r1
PYSDL="${PN}-2.1.0"
DESCRIPTION="Reimplementation of portions of the pygame API using SDL2"
HOMEPAGE="https://github.com/renpy/pygame_sdl2"
SRC_URI="https://www.renpy.org/dl/${PV}/${PYSDL}-for-renpy-${PV}.tar.gz"
LICENSE="LGPL-2.1 ZLIB"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE=""
BDEPEND="
dev-python/cython[${PYTHON_USEDEP}]"
DEPEND="
dev-python/numpy[${PYTHON_USEDEP}]
media-libs/libpng:0=
media-libs/libsdl2:=[video]
media-libs/sdl2-image:=[png,jpeg]
>=media-libs/sdl2-mixer-2.0.2:=
media-libs/sdl2-ttf:=
virtual/jpeg:0"
RDEPEND="${DEPEND}"
S=${WORKDIR}/${PYSDL}-for-renpy-${PV}
# PyGame distribution for this version has some pregenerated files;
# we need to remove them
python_prepare_all()
{
rm -r gen{,3} || die
distutils-r1_python_prepare_all
}

@ -0,0 +1,45 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_USE_SETUPTOOLS=rdepend
PYTHON_COMPAT=( python3_{6..9} )
inherit distutils-r1
MY_P=PyKerberos-${PV}
DESCRIPTION="A high-level Python wrapper for Kerberos/GSSAPI operations"
HOMEPAGE="
https://trac.calendarserver.org/wiki/PyKerberos
https://github.com/apple/ccs-pykerberos/
https://pypi.org/project/kerberos/"
SRC_URI="
https://github.com/apple/ccs-pykerberos/archive/${MY_P}.tar.gz"
S=${WORKDIR}/ccs-pykerberos-${MY_P}
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 ~hppa ~ppc64 x86"
# test environment is non-trivial to set up, so just use docker
# (see python_test below)
# also for alpha/beta Python releases support:
# https://github.com/apple/ccs-pykerberos/pull/83/commits/5f1130a1305b5f6e7d7d8b41067c4713f0c8950f
RESTRICT="test"
RDEPEND="app-crypt/mit-krb5"
DEPEND="${RDEPEND}"
python_test() {
set -- docker run \
-v "${PWD}:/app" \
-w /app \
-e PYENV=$("${EPYTHON}" -c 'import sys; print(sys.version.split()[0])') \
-e KERBEROS_USERNAME=administrator \
-e KERBEROS_PASSWORD=Password01 \
-e KERBEROS_REALM=example.com \
-e KERBEROS_PORT=80 \
ubuntu:16.04 \
/bin/bash .travis.sh
echo "${@}" >&2
"${@}" || die "Tests failed with ${EPYTHON}"
}

@ -13,7 +13,7 @@ SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
KEYWORDS="amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc x86"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
BDEPEND="

@ -0,0 +1,112 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
PYTHON_COMPAT=( python3_{6..9} )
inherit check-reqs distutils-r1
DESCRIPTION="Python driver for MongoDB"
HOMEPAGE="https://github.com/mongodb/mongo-python-driver https://pypi.org/project/pymongo/"
SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="amd64 ~arm64 ~hppa x86"
IUSE="doc kerberos test"
RESTRICT="!test? ( test )"
RDEPEND="
kerberos? ( dev-python/pykerberos[${PYTHON_USEDEP}] )
"
BDEPEND="
test? (
>=dev-db/mongodb-2.6.0
dev-python/nose[${PYTHON_USEDEP}]
)
"
DISTUTILS_IN_SOURCE_BUILD=1
distutils_enable_sphinx doc
reqcheck() {
if use test; then
# During the tests, database size reaches 1.5G.
local CHECKREQS_DISK_BUILD=1536M
check-reqs_${1}
fi
}
pkg_pretend() {
reqcheck pkg_pretend
}
pkg_setup() {
reqcheck pkg_setup
}
src_prepare() {
# network-sandbox probably
rm test/test_srv_polling.py || die
sed -e 's:test_connection_timeout_ms_propagates_to_DNS_resolver:_&:' \
-i test/test_client.py || die
# relies on exact exception message
sed -e 's:abstract methods:abstract:' \
-i test/test_custom_types.py || die
distutils-r1_src_prepare
}
python_test() {
# Yes, we need TCP/IP for that...
local DB_IP=127.0.0.1
local DB_PORT=27000
export DB_IP DB_PORT
local dbpath=${TMPDIR}/mongo.db
local logpath=${TMPDIR}/mongod.log
# Now, the hard part: we need to find a free port for mongod.
# We're just trying to run it random port numbers and check the log
# for bind errors. It shall be noted that 'mongod --fork' does not
# return failure when it fails to bind.
mkdir -p "${dbpath}" || die
while true; do
ebegin "Trying to start mongod on port ${DB_PORT}"
LC_ALL=C \
mongod --dbpath "${dbpath}" --nojournal \
--bind_ip ${DB_IP} --port ${DB_PORT} \
--unixSocketPrefix "${TMPDIR}" \
--logpath "${logpath}" --fork \
&& sleep 2
# Now we need to check if the server actually started...
if [[ ${?} -eq 0 && -S "${TMPDIR}"/mongodb-${DB_PORT}.sock ]]; then
# yay!
eend 0
break
elif grep -q 'Address already in use' "${logpath}"; then
# ay, someone took our port!
eend 1
: $(( DB_PORT += 1 ))
continue
else
eend 1
eerror "Unable to start mongod for tests. See the server log:"
eerror " ${logpath}"
die "Unable to start mongod for tests."
fi
done
local failed
DB_PORT2=$(( DB_PORT + 1 )) DB_PORT3=$(( DB_PORT + 2 )) esetup.py test || failed=1
mongod --dbpath "${dbpath}" --shutdown || die
[[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
rm -rf "${dbpath}" || die
}

@ -0,0 +1,47 @@
# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
DISTUTILS_USE_SETUPTOOLS=no
PYTHON_COMPAT=( python3_{6..9} pypy3 )
inherit distutils-r1
DESCRIPTION="YAML parser and emitter for Python"
HOMEPAGE="https://pyyaml.org/wiki/PyYAML
https://pypi.org/project/PyYAML/
https://github.com/yaml/pyyaml"
SRC_URI="https://github.com/yaml/pyyaml/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 ~riscv s390 sparc x86 ~x64-cygwin ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
IUSE="examples +libyaml"
RDEPEND="libyaml? ( dev-libs/libyaml:= )"
DEPEND="${RDEPEND}
libyaml? (
$(python_gen_cond_dep '
dev-python/cython[${PYTHON_USEDEP}]
' 'python*')
)"
PATCHES=(
# bug #659348
"${FILESDIR}/pyyaml-5.1-cve-2017-18342.patch"
)
distutils_enable_tests setup.py
python_configure_all() {
mydistutilsargs=( $(use_with libyaml) )
}
python_install_all() {
distutils-r1_python_install_all
if use examples; then
dodoc -r examples
docompress -x /usr/share/doc/${PF}
fi
}

@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
RDEPEND="!<dev-python/ruamel-yaml-0.16.0"

@ -17,7 +17,7 @@ SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
LICENSE="MIT"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
RDEPEND="dev-python/ruamel-yaml-clib[${PYTHON_USEDEP}]"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save